/* 重置样式 */
html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure,
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
    margin:0;
    padding:0;
    border:0;
    outline:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

body {
    line-height:1;
}

article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section {
    display:block;
}

nav ul {
    list-style:none;
}

blockquote, q {
    quotes:none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content:'';
    content:none;
}

a {
    margin:0;
    padding:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
    color: inherit; /* 继承父元素的文字颜色 */
    text-decoration-line: underline wavy; 
}

/* 设置超链接的悬停样式 */
a:hover {
    /* background-color:#a991ff; */
    color:#763fff;
}

/* 设置插入样式 */
ins {
    background-color:#ff9;
    color:#000;
    text-decoration:none;
}

/* 设置标记样式 */
mark {
    background-color:#ff9;
    color:#000;
    font-style:italic;
    font-weight:bold;
}

/* 设置删除样式 */
del {
    text-decoration: line-through;
}

/* 设置缩写和定义样式 */
abbr[title], dfn[title] {
    border-bottom:1px dotted;
    cursor:help;
}

table {
    border-collapse:collapse;
    border-spacing:0;
}

/* 设置水平线样式 */
hr {
    display:block;
    height:1px;
    border:0;  
    border-top:1px solid #cccccc;
    margin:1em 0;
    padding:0;
}

input, select {
    vertical-align:middle;
}

/* 页面内容样式 */
/* 设置标题样式 */
h1, h2 {
    font-family: monospace;
    font-weight: 600;
    font-size: 28px; /* 调整标题大小 */
    text-align: center;
    line-height: 40px; /* 调整行高 */
    margin-top: 40px; /* 调整标题上边距 */
    color: rgba(0, 0, 0,0.8);
}

h2 {
    font-size: 21px; /* 调整h2标题大小 */
    color: rgba(0, 0, 0,0.8);
    /* background-color: #a991ff; */
    margin-top: 80px;
}

/* 设置p样式 */
p{
    font-family: monospace;
    font-size: 16px;
    font-weight: 200;
    line-height: 25px;
    color: rgba(0, 0, 0,0.8);
    text-align: center;
}

/* 设置段落样式 */
.Para p {
    font-family: monospace;
    font-weight: 200;
    font-size: 16px;
    line-height: 30px;
    margin: 0; /* 覆盖默认的外边距 */
    text-align: center; /* 居中段落内容 */
}

.mygitlink{
    font-family: monospace;
    font-weight: 200;
    font-size: 16px;
    line-height: 30px;
    text-align: center; /* 居中段落内容 */
    margin-top: 30px;

}

.Go{
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: 600;
    text-decoration: none;
    font-size: 21px;
    margin-top: 100px;
}


ul {
    font-family: monospace;
    font-size: 16px;
    list-style-type: none; /* 移除默认的项目符号样式 */
    text-align:center; /* 将文本居中 */
    padding-left:0; /* 移除默认的左边距 */
    margin-top: 30px;
  }
  
  ul li {
    text-align: left; /* 将列表项的文本左对齐 */
    padding-left: 20px;
    line-height: 30px;
  }






/* 设置图片容器样式 */
.imagebox {
    
    display:flex;
    justify-content: center; /* 水平居中 */
    margin-top: 0px;

}
.myweb {
    display: flex;
    justify-content: center; /* 水平居中 */
    margin-top: 20px;
}

/* 设置图片样式 */
.image {
    /* max-width: 100%; 
    max-height: 100%;  */
    
    box-shadow: 0 0px 8px rgba(0, 0, 0, 0.1);
    margin-top: 10px;
    
}

/* 设置注释样式 */
#comment {
    margin-top: 5px;
    color: rgba(0, 0, 0,0.8);
}

/* 导航栏样式 */
/* 设置导航栏样式 */
.header-main {
    padding: 20px;
    background-color:none;
}

/* 设置导航菜单样式 */
.header-main-nav ul {
    list-style-type: none;
    color:rgba(0,0,0,0.8);
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center; /* 水平居中 */
}

.header-main-nav ul li {
    margin-right: 20px;
    position: relative; /* 让下拉菜单相对于 li 定位 */
}

.header-main-nav ul li:last-child {
    margin-right: 0;
}

.header-main-nav ul li a {
    color: inherit; /*继承父元素的文字颜色 */
    text-decoration: none; /* 取消下划线 */
    padding: 10px 20px;
    border-radius: 5px;
    font-family: monospace;
    font-weight: 400;
    font-size: 18px;
}

.header-main-nav ul li a:hover {
    color:#a991ff; /* 鼠标悬停时文字颜色 */
}

/* 下拉菜单样式 */
.dropdown-content {
    display: none;
    margin-top: 5px;
    position: absolute;
    background-color:rgb(255, 255, 255);
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    min-width: 400px;
    left: 50%; /* 相对于父元素的水平方向上的中心位置 */
    transform: translateX(-50%); /* 将下拉菜单内容块向左平移50%自身宽度的距离 */
}

.header-main-nav ul li:hover .dropdown-content {
    display: block;
}

.dropdown-content a {
    color: inherit; /* 继承父元素的文字颜色 */
    text-decoration: none; /* 取消下划线 */
    display: block;
    margin-top: 2px;
    text-align: center;
    line-height: 15px;
    font-size: 16px !important;
}

/* 主要内容样式 */
.main-content {
    text-align: center;
    margin: 30px auto; /* 上下居中 */
    max-width: 800px;
}

/* 页脚样式 */

/* .footer-main {
    text-align: center;
    padding: 20px;
    color: rgb(0, 0, 0);
    position:relative;
    margin-top: 300px;
}

body{
    margin-bottom: 20px;
} */

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh; /* 将 body 元素的最小高度设置为视窗的高度 */
    /* margin: 10px; */
}

.main-content {
    flex: 1; /* 将主要内容区域的 flex 属性设置为 1，使其占据剩余空间 */
}

.ssh{
    margin-top: 60px;
}

.terminal{
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    padding-top: 50px;
    padding-bottom: 50px;
    padding-left: 0px;
    padding-right:0px;
    background-color: #a991ff;
    color: #ffffff;
    font-size: 24px;
    margin-top: 20px;
    text-align: center;
}

img{
    margin-top: 40px;
    background-color:rgb(244, 246, 248);
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    padding-right: 20px;
    /* box-shadow: 0px 0px 10px rgba(243, 246, 249, 0.1) */
}




.emoji{
    font-size: 24px;
}


.footer-main{
    font-family: monospace;
    text-align: center;
    background-color: #f2f2f2;
    padding: 20px;
    margin:0;
 
    position: relative; /* 使用相对定位 */
    margin-top: 50px; /* 添加额外的上边距，以确保页脚不会覆盖内容 */

}

.footer{
    margin:0;

}